import { IActivityState } from "../models/activityState";
import { IActivity } from "../models/config";
export declare class StateDataProvider {
    private _states;
    updateState(activity: IActivity, controlUnitName: string): void;
    deactivateState(controlUnitName: string): void;
    removeState(controlUnitName: string): void;
    getState(controlUnitName: string): IActivityState | undefined;
    get states(): {
        [controlUnitName: string]: IActivityState | undefined;
    };
}
