import { ICommand } from "./device";
export interface IHarmonyDeviceProps {
    id: string;
    name: string;
    harmony: any;
    log: any;
    commands: {
        [name: string]: ICommand;
    };
}
export declare class HarmonyDevice {
    private _commands;
    private _on;
    constructor(props: IHarmonyDeviceProps);
    id: string;
    name: string;
    get on(): boolean;
    set on(value: boolean);
    get commands(): {
        [name: string]: ICommand;
    };
    supportsCommand(commandName: string): boolean;
    getCommand(commandName: string): ICommand;
}
