import { PlatformAccessory } from "homebridge";
import { HarmonyDataProvider } from "../dataProviders/harmonyDataProvider";
import { IDeviceButton } from "../models/config";
import { Platform } from "../platform";
export declare class DeviceButton {
    private readonly _platform;
    private readonly _accessory;
    private _dataProvider;
    private _deviceInfo;
    private _buttonState;
    private _device;
    private _switchService;
    constructor(_platform: Platform, _accessory: PlatformAccessory, _dataProvider: HarmonyDataProvider, _deviceInfo: IDeviceButton);
    /**
     * Handler for switch set event
     * @param callback The callback function to call when complete
     */
    private onSwitchSet;
    /**
     * Handler for switch get event
     * @param callback The callback function to call when complete
     */
    private onSwitchGet;
}
