import { CharacteristicSetCallback, CharacteristicValue, PlatformAccessory } from "homebridge";
import { HarmonyDataProvider } from "../dataProviders/harmonyDataProvider";
import { ISequence } from "../models/config/sequence";
import { Platform } from "../platform";
export declare class Sequence {
    private readonly _platform;
    private readonly _accessory;
    private _dataProvider;
    private _sequence;
    private _devices;
    private _switchService;
    constructor(_platform: Platform, _accessory: PlatformAccessory, _dataProvider: HarmonyDataProvider, _sequence: ISequence);
    /**
     * Handler for switchSet command
     * @param callback
     */
    onSwitchSet: (_value: CharacteristicValue, callback: CharacteristicSetCallback) => Promise<void>;
}
