"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HarmonyDevice = void 0;
class HarmonyDevice {
    constructor(props) {
        this._commands = {};
        this.id = props.id;
        this.name = props.name;
        this._on = false;
        this._commands = props.commands;
    }
    get on() {
        return this._on;
    }
    set on(value) {
        this._on = value;
    }
    get commands() {
        return this._commands;
    }
    //Define device methods
    supportsCommand(commandName) {
        let command = this._commands[commandName];
        return command ? true : false;
    }
    getCommand(commandName) {
        return this._commands[commandName];
    }
}
exports.HarmonyDevice = HarmonyDevice;
//# sourceMappingURL=harmonyDevice.js.map