import { HarmonyDataProvider } from "../dataProviders/harmonyDataProvider";
import { StateDataProvider } from "../dataProviders/stateDataProvider";
export declare class CommandService {
    private _stateDataProvider;
    private _harmonyDataProvider;
    constructor(_stateDataProvider: StateDataProvider, _harmonyDataProvider: HarmonyDataProvider);
    /**
     * Send key press for current activity.
     *
     * @param controlUnitName The name of the control unit to act on.
     * @param key The key to send.
     */
    sendKeyPress: (controlUnitName: string, key: any) => Promise<void>;
}
