import { HarmonyDataProvider } from "../dataProviders/harmonyDataProvider";
import { StateDataProvider } from "../dataProviders/stateDataProvider";
export declare class VolumeService {
    private _stateDataProvider;
    private _harmonyDataProvider;
    constructor(_stateDataProvider: StateDataProvider, _harmonyDataProvider: HarmonyDataProvider);
    /**
     * Turn the volume up for the current running activity.
     */
    volumeUp: (controlUnitName: string) => Promise<void>;
    /**
     * Volume down for current running activity.
     */
    volumeDown: (controlUnitName: string) => Promise<void>;
}
